%define tarnamebuild gb705db8
%define sourcedir b705db8
%define gameversion 2.1-11

Name:           fachoda-complex
Version:        2.1
Release:        %mkrel 2
Summary:        Fachoda-complex is a flight simulator/arcade game
Group:  	Games/Simulation 
License:        GPLv3
URL:            http://rixed.github.io/fachoda-complex/index.html
Source0:        rixed-%{name}-release-%{gameversion}-%{tarnamebuild}.tar.xz
#---------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xxf86dga-devel
BuildRequires: x11-proto-devel
#---------------------------------------
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Fachoda-complex is a flight simulator/arcade game for Linux, tailored for small hardware configs.

Check the tutorial at http://rixed.github.io/fachoda-complex/tutorial.html

%prep
%setup -q -n rixed-%{name}-%{sourcedir}

%build
cd src
sed -i 's|/usr/local|%{buildroot}/usr|' Makefile
%make 

%install
rm -rf %{buildroot}

cd src
make install INSTALL_ROOT=%{buildroot}

# Fix icon
%__install -dm 755 %{buildroot}%{_datadir}/icons
cp icon.png %{buildroot}%{_datadir}/icons/%{name}.png

# Create wrapper
%__install -dm 755 %{buildroot}%{_gamesbindir}
%__cat > %{buildroot}%{_gamesbindir}/%{name}.sh <<EOF
#/bin/sh
cd /usr/lib/games/fachoda
fachoda fullscreen
EOF

chmod +x %{buildroot}%{_gamesbindir}/%{name}.sh

# Create keyfile

%__cat > %{buildroot}/usr/lib/games/fachoda/.fachodarc << EOF
#
# Fachoda Complex configuration file.
#

#
# Key mapping
# To find out the SDL name of a key, use the 'getkeyname' program
# that comes.with fachoda.
#

key_quit = escape               # Quit
key_yes = y                     # Yes
key_no = n                      # No
key_throttle_more = [+]         # Motor +5%
key_throttle_less = [-]         # Motor -5%
key_view_external = f5          # External views
key_view_still = f6             # Travelling view
key_view_internal = f4          # Internal views
key_zoom_out = f7               # Zoom out
key_zoom_in = f8                # Zoom in
key_view_next = f2              # View next plane
key_view_previous = f3          # View previous plane
key_view_self = f1              # View your plane or closest ennemy
key_view_map = f9               # Map mode
key_look_raise = up             # Rise your head
key_look_lower = down           # Lower your head
key_look_left = left            # Turn left your head
key_look_right = right          # Turn right your head
key_look_ahead = home           # Look ahead
key_look_back = end             # Look backward
key_look_at_left = delete       # Look at left
key_look_at_right = page down   # Look at right
key_look_up = page up           # Look up
key_look_panel = insert         # Look at the instrument panel
key_gears = g                   # Gear
key_flaps = f                   # Flaps
key_brakes = b                  # Brakes
key_autopilot = p               # Autopilot
key_buy = f10                   # Buy a plane
key_pause = pause               # Pause
key_scores = tab                # See Highscores
key_acceleration = x            # Accelerated mode
key_navpoint_to_base = n        # Set navpoint to home base
key_suicide = f12               # Suicide
key_flag_map = c                # Flag the map at plane's position

# These keys are only used when in keyboard control

key_nose_down = [8]             # Nose down
key_nose_up = [2]               # Nose up
key_roll_left = [4]             # Roll left
key_roll_right = [6]            # Roll right
key_center_stick = [6]          # Center stick
key_shoot = space               # Fire
key_alt_weapon = right ctrl     # Change weapon
EOF

# Create menu entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment=%{summary}
Name=%{name}
GenericName=%{name}
Type=Application
Exec=%{_gamesbindir}/%{name}.sh
Icon=%{name}
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF


%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root,-)
%{_datadir}
/usr/games
/usr/lib/games


%changelog
* Thu Feb 14 2014 bb <bb> 2.1-2pclos2014
- adjust BR

* Sun Feb 09 2014 MBantz <martin dot bantz at gmail dot com>2.1-1pclos2014
- New spec


